Loading...

Activate virtual IBAN

PATCH
/accounts/{accountId}/virtual-accounts/activate

Activates and returns required amount of virtual IBANs

Authorization

apiBearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

accountId*string

Id of Virtual account

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/accounts/94c01e1e-533e-41d5-ab70-ac163d6099f5/virtual-accounts/activate" \  -H "Content-Type: application/json" \  -d '{}'
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "currencies": {      "GBP": {        "accountIdentifiers": [          {            "iban": "string",            "accountNumber": "string",            "branchCode": "string"          }        ]      },      "EUR": {        "accountIdentifiers": [          {            "iban": "string"          }        ]      }    },    "name": "string",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",    "status": "string"  }]